# Poco::AbstractEvent

# struct NotifyAsyncParams

Library: Foundation
Package: Events
Header: Poco/AbstractEvent.h

## Constructors

### NotifyAsyncParams

NotifyAsyncParams(
const void * pSend,
const TArgs & a
);

default constructor reduces the need for TArgs to have an empty constructor, only copy constructor is needed.

## Variables

### args

TArgs args;

### enabled

bool enabled;

### pSender

const void * pSender;

### ptrStrat

SharedPtr < TStrategy > ptrStrat;